# publish trajectories

publish trajectories

Endpoint: POST /v1/ingress/data-sources/{dataSource}/trajectories
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    trajectory or survey data list

## Request fields (application/json):

  - `id` (string, required)

  - `name` (string, required)

  - `link` (string)
    URL of the source editor, drillplan will use this value let the user navigate to source and do the data modificaiton.

  - `timestamp` (string)
    object last modify time, drillplan will compare this value and the last modify time in drillplan, to decide if the source data is newer.

  - `comments` (string)

  - `wellbore_id` (string, required)
    Id of the wellore.

  - `is_actual` (boolean, required)
    Indicator whether it's a survey or a trajectory, true is survey, false is trajectory.

  - `is_working_survey` (boolean)
    Indicator whether the survey is working on or not.
When IsActual = false, IsWorkingSurvey should always be false
When IsActual = true, IsWorkingSurvey indicates whether it's working survey or not

  - `rkb` (number)
    Elevation of RKB above MSL.

  - `azimuth_reference` (string, required)
    Enum: "Grid", "True", "Unknown"

  - `vsec` (object)

  - `vsec.origin_ns` (number)
    Origin north-south used for vertical section plot/computations.

  - `vsec.origin_ew` (number)
    Origin east-west used for vertical section plot/computations.

  - `vsec.azimuth` (number)
    Azimuth used for vertical section plot/computations.

  - `stations` (array, required)
    Trajectory station elements.

  - `stations.md` (number, required)

  - `stations.inclination` (number, required)

  - `stations.azimuth` (number, required)

  - `stations.comment` (string)

  - `survey_date` (string)

## Response 204:

  - `204` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

